Package org.eclipse.zest.layouts.algorithms

# Class VerticalLayoutAlgorithm

java.lang.Object
org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm.Zest1
org.eclipse.zest.layouts.algorithms.GridLayoutAlgorithm.Zest1
org.eclipse.zest.layouts.algorithms.VerticalLayoutAlgorithm

All Implemented Interfaces:
  `LayoutAlgorithm`, `LayoutAlgorithm.Zest1`, `Stoppable`

@Deprecated(since="2.0", forRemoval=true) public class VerticalLayoutAlgorithm extends GridLayoutAlgorithm.Zest1
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x. This class will be removed in a future release. Use `BoxLayoutAlgorithm` with `SWT.VERTICAL` instead.

@noextend
  This class is not intended to be subclassed by clients.
@noreference
  This class is not intended to be referenced by clients.
@noinstantiate
  This class is not intended to be instantiated by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.zest.layouts.LayoutAlgorithm

`LayoutAlgorithm.Zest1`

## Field Summary

### Fields inherited from class org.eclipse.zest.layouts.algorithms.GridLayoutAlgorithm.Zest1

`rowPadding`

### Fields inherited from class org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm.Zest1

`comparator, filter, internalAsynchronous, internalContinuous, layout_styles, layoutStopped, MIN_ENTITY_SIZE, resizeEntitiesAfterLayout`

## Constructor Summary

Constructors
Constructor
Description
`VerticalLayoutAlgorithm()`
Deprecated.
`VerticalLayoutAlgorithm(int styles)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`protected int[]`
`calculateNumberOfRowsAndCols(int numChildren, double boundX, double boundY, double boundWidth, double boundHeight)`
Deprecated.
`protected boolean`
`isValidConfiguration(boolean asynchronous, boolean continueous)`
Deprecated.

### Methods inherited from class org.eclipse.zest.layouts.algorithms.GridLayoutAlgorithm.Zest1

`applyLayoutInternal, calculateNodeSize, calculateNumberOfRowsAndCols_rectangular, calculateNumberOfRowsAndCols_square, getCurrentLayoutStep, getTotalNumberOfLayoutSteps, postLayoutAlgorithm, preLayoutAlgorithm, setLayoutArea, setRowPadding`

### Methods inherited from class org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm.Zest1

`addEntity, addProgressListener, addRelationship, applyLayout, applyLayout, defaultFitWithinBounds, defaultFitWithinBounds, fireProgressEnded, fireProgressEvent, fireProgressStarted, fireProgressUpdated, getEntityAspectRatio, getLayoutBounds, getLocalLocation, getNumberOfProgressListeners, getStyle, isRunning, removeEntity, removeProgressListener, removeRelationship, removeRelationships, removeRelationships, setComparator, setEntityAspectRatio, setFilter, setLayoutContext, setStyle, stop, updateBendPoints, updateEntities, updateLayoutLocations, updateRelationships, verifyInput`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VerticalLayoutAlgorithm

@Deprecated public VerticalLayoutAlgorithm()
Deprecated.
Veertical Layout Algorithm constructor with no styles.

### VerticalLayoutAlgorithm

@Deprecated public VerticalLayoutAlgorithm(int styles)
Deprecated.

## Method Details

### calculateNumberOfRowsAndCols

@Deprecated protected int[] calculateNumberOfRowsAndCols(int numChildren, double boundX, double boundY, double boundWidth, double boundHeight)
Deprecated.
Calculates and returns an array containing the number of columns, followed by the number of rows

Overrides:
  `calculateNumberOfRowsAndCols` in class `GridLayoutAlgorithm.Zest1`

### isValidConfiguration

@Deprecated protected boolean isValidConfiguration(boolean asynchronous, boolean continueous)
Deprecated.
Description copied from class: `AbstractLayoutAlgorithm.Zest1`
Determines if the configuration is valid for this layout

Overrides:
  `isValidConfiguration` in class `GridLayoutAlgorithm.Zest1`
Parameters:
  `asynchronous` -
  `continueous` -